Loading...
Searching...
No Matches
tiny_dnn::RMSprop Struct Reference

RMSprop. More...

`#include <optimizer.h>`

Inheritance diagram for tiny_dnn::RMSprop:
[legend]
Collaboration diagram for tiny_dnn::RMSprop:
[legend]

## Public Member Functions

void | update (const vec_t &dW, vec_t &W, bool parallelize)
Public Member Functions inherited from tiny_dnn::stateful_optimizer< 1 >
void | reset () override
Public Member Functions inherited from tiny_dnn::optimizer
| optimizer (const optimizer &)=default
| optimizer (optimizer &&)=default
optimizer & | operator= (const optimizer &)=default
optimizer & | operator= (optimizer &&)=default

## Public Attributes

float_t | alpha
float_t | mu

## Additional Inherited Members

Protected Member Functions inherited from tiny_dnn::stateful_optimizer< 1 >
vec_t & | get (const vec_t &key)
Protected Attributes inherited from tiny_dnn::stateful_optimizer< 1 >
std::unordered_map< const vec_t *, vec_t > | E_ [N]

## Detailed Description

RMSprop.

T Tieleman, and G E Hinton, Lecture 6.5 - rmsprop, COURSERA: Neural Networks for Machine Learning (2012)

## Member Function Documentation

## update()

void tiny_dnn::RMSprop::update | ( | const vec_t & | dW,
|  | vec_t & | W,
|  | bool | parallelize
| ) |  |

inline virtual

Implements tiny_dnn::optimizer.

The documentation for this struct was generated from the following file:

- tiny_dnn/optimizers/optimizer.h